GET
https://api.cryptohopper.com/v1/exchange/currencies
Returns market data for currencies ordered by market cap rank: price, 24h high, low and change, market cap, volume and a weekly price series. Also returns the total market cap and 24h volume of all tracked currencies.
OAuth scope:
read About scopes
total is the number of currencies in this response, not the number of tracked currencies.
Example request
curl "https://api.cryptohopper.com/v1/exchange/currencies" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/exchange/currencies', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/exchange/currencies",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/exchange/currencies');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
start |
string | Optional | Offset in the list, default 0. |
limit |
string | Optional | Number of currencies to return, default 50, maximum 500. |
Response
{
"data": {
"start": 0,
"limit": 50,
"data": [
{
"name": "Bitcoin",
"symbol": "BTC",
"icon": "https://cdn.cryptohopper.com/images/exchange/currencies/svg/BTC.svg",
"high_24h": "64250.1200000000",
"low_24h": "62010.5500000000",
"price_usd": "1.00000000",
"price_change_24h": "1150.2000000000",
"percent_change_24h": "1.85",
"weekly_prices": null,
"market_cap_usd": "1250000000000.00",
"volume_usd_24h": "32000000000.00",
"rank": "1"
}
],
"total": 1,
"total_market_cap": "2450000000000.00",
"total_volume_24h": "98000000000.00"
}
}